Subject: Re: bug#50345: 28.0.50; [PATCH] Filling holes in css-mode.el

From: Theodor Thornhill <[email-masked]>
Date: Fri, 03 Sep 2021 11:08:02 +0200

Hi, Simen!

> Thanks!

My pleasure!

>
>> I see that some properties are extracted out into variables, but not
>> sure what is standard practice here.
>
> I've previously tried keeping them one-to-one with the property index
> grammars (https://www.w3.org/TR/css-align-3/#property-index).
>
> So for instance `place-content` would just refer back to `align-content`
> and `justify-content` without the need to repeat their properties:
>
>   ("place-content" align-content justify-content)
>
> `align-content` is a bit more convoluted, with a mix of a literal value
> and value classes in the grammar:
>
>   ("align-content" "normal" baseline-position content-distribution
>    overflow-position content-position)
>
> The value classes aren't properties, so their values go into
> `css-value-class-alist`. For instance, `baseline-position` can take
> values:
>
>   (baseline-position "first" "last" "baseline")
>
> This can then be reused by other properties again.
>
> Does this make sense? I should probably document this practice a bit
> better. 😅
>

Yeah, this is the answer I wanted. I'll look into doing this in the next
patches I send.  I think it would be nice to document this down the line
as well, yes.  I can see what I can do about that too :)

Have a nice weekend!

Theodor